cURL
curl --request GET \
--url https://api.example.com/kalshi/marketsimport requests
url = "https://api.example.com/kalshi/markets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/kalshi/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": [
{
"ticker": "<string>",
"series_ticker": "<string>",
"event_ticker": "<string>",
"title": "<string>",
"subtitle": "<string>",
"category": "<string>",
"open_time": "<string>",
"close_time": "<string>",
"expiration_time": "<string>",
"yes_bid": 123,
"yes_ask": 123,
"no_bid": 123,
"no_ask": 123,
"last_price": 123,
"volume": 123,
"volume_24h": 123,
"liquidity": 123,
"open_interest": 123
}
],
"cursor": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Kalshi Market Data
Get Kalshi Markets
GET
/
kalshi
/
markets
cURL
Query Parameters
Filter by series ticker (e.g., KXPREZ)
Example:
"KXPREZ"
Filter by event ticker
Example:
"KXPREZ-2025"
Filter by market status
Available options:
active, closed, settled Example:
"active"
Number of markets to return (max 200)
Example:
"20"
⌘I